Page MenuHomePhabricator

tool enwp10 is not working
Closed, ResolvedPublic

Description

The tool http://tools.wmflabs.org/enwp10/ is not working. All of the assessments in WikiProjects on the English Wikipedia depend on this tool (for instance, see https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Catholicism#Assessment -- all the links are to queries run by this tool) so it's important for maintenance and project work. Thanks!

Event Timeline

JoeHebda created this task.Oct 24 2018, 6:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2018, 6:34 PM
root@tools-webgrid-lighttpd-1411:~# ps uf -u tools.enwp10
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
tools.e+ 31837  0.1  0.5 149200 46948 ?        Ss   Oct22   3:41 /usr/sbin/lighttpd -f /var/run/lighttpd/enwp10 -D
tools.e+ 31844  0.0  0.2 340560 20732 ?        Ss   Oct22   0:00  \_ /usr/bin/php-cgi
tools.e+ 31845  0.0  0.0 340560  6464 ?        S    Oct22   0:00  |   \_ /usr/bin/php-cgi
tools.e+ 31846  0.0  0.0 340560  6464 ?        S    Oct22   0:00  |   \_ /usr/bin/php-cgi
tools.e+ 31847  0.0  0.2 340560 20736 ?        Ss   Oct22   0:00  \_ /usr/bin/php-cgi
tools.e+ 31848  0.0  0.0 340560  6468 ?        S    Oct22   0:00  |   \_ /usr/bin/php-cgi
tools.e+ 31849  0.0  0.0 340560  6468 ?        S    Oct22   0:00  |   \_ /usr/bin/php-cgi
tools.e+ 31851  0.0  0.2 138000 17196 ?        S    Oct22   0:18  \_ /usr/bin/perl /data/project/enwp10/src/public_html/bin/log.fcgi
tools.e+  8729  0.0  0.2 138480 18020 ?        S    09:51   0:22  \_ /usr/bin/perl /data/project/enwp10/src/public_html/bin/list2.fcgi
root@tools-webgrid-lighttpd-1411:~# lsof -p 31837 -a -i | grep LISTEN
lighttpd 31837 tools.enwp10    4u  IPv4 105744188      0t0  TCP *:53758 (LISTEN)
root@tools-webgrid-lighttpd-1411:~# curl http://localhost:53758/enwp10/

In another session:

root@tools-webgrid-lighttpd-1411:~# strace -p 31837
Process 31837 attached
epoll_wait(6, {}, 1025, 1000)           = 0
epoll_wait(6, {}, 1025, 1000)           = 0
epoll_wait(6, {}, 1025, 1000)           = 0
epoll_wait(6, {}, 1025, 1000)           = 0
epoll_wait(6, {}, 1025, 1000)           = 0
epoll_wait(6, {}, 1025, 1000)           = 0
epoll_wait(6, {}, 1025, 1000)           = 0
epoll_wait(6, {}, 1025, 1000)           = 0

The lighttpd doen't seem to be accepting connections.

Audiodude closed this task as Resolved.Oct 24 2018, 7:25 PM
Audiodude claimed this task.

I just restarted it. The tool seems to die every 30 days or so, this last happened on Sept 28.

The future plan is to rewrite the tool in modern Python so at the very least, errors like this will be easier to diagnose.

For future reference, T104799 might be related. I see 286 CLOSE_WAIT in lsof -p 31837

JoeHebda reopened this task as Open.Dec 3 2018, 7:02 PM

enwp10 tool is down again

Audiodude closed this task as Resolved.Dec 3 2018, 7:56 PM

Restarted it again. Let me know if it works.

Nurg added a subscriber: Nurg.Dec 17 2018, 4:48 AM

It is not working. I think it has been not working for a number of days.

The web tool (https://tools.wmflabs.org/enwp10) looks up to me. What specifically is not working?

Nurg added a comment.Dec 17 2018, 7:31 AM

Thanks. Seems ok now. Earlier I clicked the "1" for FA and Top in the assessment table at Wikipedia:WikiProject Plants (among other assessment table links) and received no response after a very long wait.